<?php
namespace Pinpoint\Conesso\Api\Repository;

use Pinpoint\Conesso\Api\Data\ProductSyncInterface;

interface ProductsSyncRepositoryInterface
{

    public function save(ProductSyncInterface $productSync);

    public function delete(ProductSyncInterface $productSync): bool;

    public function deleteById(int $id): bool;

    public function getList(\Magento\Framework\Api\SearchCriteriaInterface $searchCriteria);
}
