<?php
namespace Pinpoint\Conesso\Model\Api\Access;

use Conesso\Conesso as ConessoClient;
use Pinpoint\Conesso\Helper\Config;
class Auth
{
    private $config;
    public function __construct(
        Config $config
    ) {
        $this->config = $config;
    }
    public function getConnessoClient()
    {
        return ConessoClient::client($this->getApiKey());
    }

    public function getApiKey()
    {
        return $this->config->getApiKey();
    }

}
